全部产品

常见问题

更新时间:2020-06-18 17:43:12

实现 PUSH 通知栏消息,对 EMUI 和华为移动服务是否有版本限制?

有版本限制,详细版本要求请参见 设备接收华为推送消息的条件

华为手机无法打印日志

在手机拨号界面输入 *#*#2846579#*#* 进入工程菜单 > 后台设置 > LOG 设置 > 选中 AP 日志。重启手机后,logcat 开始生效。

华为手机推送错误码

如需了解错误码详情,请至华为官网查看 客户端错误码详解服务端错误码详解

OPPO 推送支持的系统版本和机型

目前支持 ColorOS 3.1 及以上系统的 OPPO 机型,一加5/5T 及以上机型以及 realme 所有 机型。

OPPO 手机推送错误码

当 OPPO 推送不生效时,您可在客户端日志中搜索 OPPO onRegister error =,获取错误码,并对照 OPPO 错误码 查询相应的错误原因。

vivo 推送支持的系统版本

推送服务 SDK 支持的最低系统版本为 Android 6.0。

vivo 手机推送错误码

当 vivo 推送不生效时,您可在客户端日志中搜索 fail to turn on vivo push state =,获取状态码,并对照 公共状态码 定位具体原因。

常见问题排查步骤

  1. 检查 Manifest 文件是否配置正确。
  2. 检查 appId(华为、小米、vivo)、appSecret(小米、OPPO)、appKey(OPPO、vivo)、ALIPUSH_APPID(mPaaS)是否与对应开发平台的注册应用一致。
  3. 查看 tag 为 mpush 的 logcat 日志。